uk.ac.starlink.fits

## Class ParsedCard<T>

- java.lang.Object
- - uk.ac.starlink.fits.ParsedCard<T>

-     public class ParsedCard<T>
      extends java.lang.Object

  Represents a single parsed FITS header card. This is always the representation of a single 80-byte FITS header.
  Since:
    4 Mar 2022

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedCard(java.lang.String key, CardType<T> type, T value, java.lang.String comment)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Returns the comment text associated with this card.
    `java.lang.String` | `getKey()` Returns the FITS keyword.
    `CardType<T>` | `getType()` Returns the type of header card.
    `T` | `getValue()` Returns the keyword value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedCard

          public ParsedCard(java.lang.String key,
                            CardType<T> type,
                            T value,
                            java.lang.String comment)

      Constructor.
      Parameters:
        `key` - FITS keyword
        `type` - type of card
        `value` - header value
        `comment` - comment text

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Returns the FITS keyword.
      Returns:
        keyword, may be null

    - #### getType

          public CardType<T> getType()

      Returns the type of header card.
      Returns:
        card type

    - #### getValue

          public T getValue()

      Returns the keyword value.
      Returns:
        value, may be null

    - #### getComment

          public java.lang.String getComment()

      Returns the comment text associated with this card.
      Returns:
        comment, may be null